! comma19.cmd
echo Create a 19-tone mean-tone scale by a list of commas
echo Comma parts can be given as positive or negative ratios or floats.
echo enter the comma
copy/pitch ? 1
equal 19
echo going up:
echo enter comma part C-G
calc/noout 3/2-$1^?
replace 11 $0
echo enter comma part G-D
calc/noout $0-4/3-$1^?
replace 3 $0
echo enter comma part D-A
calc/noout $0+3/2-$1^?
replace 14 $0
echo enter comma part A-E
calc/noout $0-4/3-$1^?
replace 6 $0
echo enter comma part E-B
calc/noout $0+3/2-$1^?
replace 17 $0
echo enter comma part B-F#
calc/noout $0-4/3-$1^?
replace 9 $0
echo enter comma part F#-C#
calc/noout $0-4/3-$1^?
replace 1 $0
echo enter comma part C#-G#
calc/noout $0+3/2-$1^?
replace 12 $0
echo enter comma part G#-D#
calc/noout $0-4/3-$1^?
replace 4 $0
echo enter comma part D#-A#
calc/noout $0+3/2-$1^?
replace 15 $0
echo enter comma part A#-Fb
calc/noout $0-4/3-$1^?
replace 7 $0
echo enter comma part Fb-Cb
calc/noout $0+3/2-$1^?
replace 18 $0
!
!          comma part Cb-Gb not given
!
echo going down:
echo enter comma part F-C
calc/noout 4/3+$1^?
replace 8 $0
echo enter comma part Bb-F
calc/noout $0+4/3+$1^?
replace 16 $0
echo enter comma part Eb-Bb
calc/noout $0-3/2+$1^?
replace 5 $0
echo enter comma part Ab-Eb
calc/noout $0+4/3+$1^?
replace 13 $0
echo enter comma part Db-Ab
calc/noout $0-3/2+$1^?
replace 2 $0
echo enter comma part Gb-Db
calc/noout $0+4/3+$1^?
replace 10 $0
set maxdiff 0.002
echo enter prime limit
approx/constr/float ?
show scale
